跳转到主要内容
系统管理/系统设置相关接口/日志服务器相关接口
PUTLog Server起始版本 3.10.0同步需要认证

修改日志服务器配置

修改日志服务器配置

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • updatelogconfigurationObject必填

    updatelogconfiguration 请求体结构

    • configIdlong必填

      配置的id

    • nameString

      资源名称

    • descriptionString

      资源的详细描述

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryVmNicInventory必填

    详情参考inventory

    • idlong必填

      资源ID。

    • labelKeyString必填

      标签键。

    • labelValueString必填

      标签值。

    • resourceUuidString必填

      资源UUID

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

PUT/zstack/v1/log/configurations

/zstack/v1/log/configurations

操作 ID

UpdateLogConfiguration

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/log/configurations' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatelogconfiguration":{"configId":1,"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "id": 0.0, "labelKey": "log4j2-848dd6e5712e4227ae40447753871ba8", "labelValue": "{\n\"appenderType\": \"Syslog\",\n\"configuration\": {\n\"hostname\": \"192.168.0.11\",\n\"port\": \"514\",\n\"protocol\": \"UDP\",\n\"facility\": \"LOCAL5\"\n}\n}" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史